@import url('https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300..900;1,300..900&display=swap');
  

:root{
    --primary-font: "Rubik", sans-serif;
}

body{
    margin: 0 !important;
    padding: 0;
	font-family: var(--primary-font);
	background-color: #f4f4f4;
}

*{
    margin: 0;
    padding: 0;
    list-style: none;
    text-decoration: none;
}

.container {
    width: min(1140px, calc(100% - 40px));
	margin: 0 auto;
}

header {
    box-shadow: 0 1px 3px rgba(0, 0, 0, .1);
    padding-block: 15px;
    position: sticky;
    width: 100%;
    top: 0;
	background-color: #fff;
	z-index: 9;
}

.logo a {
    text-align: center;
    font-size: 32px;
    text-transform: uppercase;
    font-weight: 600;
    color: #2c3338;
    display: block;
}

.footer {
    background-color: #000;
    padding-block: 18px;
}

.footer p {
    color: #fff;
    margin: 0;
    text-align: center;
}

.blogs {
    padding-block: 32px;
}

.grid {
    display: grid;
    grid-template-columns: 65% 35%;
	gap: 30px;
}

.feature-card {
    background-color: #fff;
    margin-bottom: 20px;
    border: 1px solid #eee;
    border-radius: 3px;
}

.feature-img img {
    display: flex;
    width: 100%;
    height: 100%;
}

.feature-content {
    padding: 24px;
}
.feature-content h2, 
.feature-content h2 a {
    font-size: 40px;
	font-weight: 600;
    line-height: 1.2;
    color: #000;
}






.post-list {
    display: grid;
    grid-template-columns: 1fr;
    gap: 15px;
}


.blog-card {
    display: grid;
    grid-template-columns: 30% 70%;
    background-color: #fff;
}
.blog-card .img {
    width: 100%;
    height: 100%;
}

.blog-card .img a {
    display: inline-block;
    height: 100%;
    width: 100%;
}

.blog-card .img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.blog-card .content {
    padding: 20px;
	display: flex;
	flex-wrap: wrap;
	gap: 10px;
}

.blog-card .content h3, 
.blog-card .content h3 a {
    font-size: 20px;
	font-weight: 600;
    color: #000;
    line-height: 1.2;
}

.blog-card .content p {
    margin-bottom: 0;
}

.blog-card .author {
    display: flex;
    align-items: center;
    gap: 8px;
    width: 100%;
}

.blog-card .author-img {
    width: 24px;
    height: 24px;
    display: inline-block;
    border-radius: 50%;
    overflow: hidden;
}



.trending-post {
    border: 1px solid #eee;
    background-color: #fff;
    padding: 20px;
    border-radius: 0 0 3px 3px;
    border-top: 8px solid #cf2e2e;
    position: sticky;
    top: 80px;
}
.trending-list {
    display: grid;
    grid-template-columns: 1fr;
    gap: 15px;
}
.trending-post h3 {
    font-size: 20px;
	font-weight: 600;
    color: #cf2e2e;
    margin-bottom: 15px;
}

.trending-card h3, .trending-card a {
    font-size: 16px;
    line-height: 1.2;
    color: #000;
	width: 100%;
	display: inline-block;
}

.trending-card img {
    width: 100%;
    height: 100%;
}

.post-content {
    background-color: #fff;
    padding: 30px;
}

.single-article .author {
    display: flex;
    align-items: center;
    gap: 8px;
    width: 100%;
}

.single-article .author-img {
    width: 24px;
    height: 24px;
    display: inline-block;
    border-radius: 50%;
    overflow: hidden;
}

.single-article .container {
    width: min(1040px, calc(100% - 40px));
}

.single-article h1 {
    font-size: 40px;
    margin: 0;
	margin-bottom: 10px;
	line-height:1.2;
}

.single-article {
    padding-block: 40px;
}
.single-article .feature-img {
    margin-block: 30px;
}



.single-article h2,
.single-article h2 :where(strong, b) {
    font-size: 28px;
    font-weight: 600;
    margin-bottom: 10px;
    line-height: 1.2;
    color: #000;
}

.single-article h3,
.single-article h3 :where(strong, b){
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 10px;
    color: #000;
}

.single-article ul li {
    list-style: disc;
    line-height: 1.2
}

.single-article ul {
    margin-left: 20px;
}

.single-article ul li ul li{
    list-style:decimal;
}

strong {
    color: #000;
}

.single-article p {
    margin-bottom: 15px;
}


@media(max-width: 991px){
	.logo a {
		font-size: 24px;
	}
	.grid {
		grid-template-columns: 1fr;
	}
}

@media(max-width: 767px){
	.logo a {
		font-size: 20px;
	}
	.feature-content h2, 
	.feature-content h2 a{
		font-size: 18px;
	}
	.feature-content {
		padding: 15px;
	}
	
	.blog-card {
		grid-template-columns: 1fr;
	}
	
	.blog-card .content h3, 
	.blog-card .content h3 a{
		font-size: 16px;
	}
}

